/*NOVO HEADER*/

.dt-mobile-header .next-level-button {
  margin-right: -15px;
}

.top-bar.top-bar-line-hide.top-bar-show {
  max-height: 500px;
  opacity: 1;
  visibility: visible;
  display: block;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.85) 0%, rgba(0, 0, 0, 0.60) 100%);
}

.sticky-off .header-bar {
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.60) 0%, rgba(0, 0, 0, 0.00) 100%);
}

.sticky-on .header-bar ul#primary-menu {
    padding: 10px;
}

.top-bar.top-bar-line-hide {
  visibility: visible;
  max-height: 0;
  opacity: 0;
  visibility: hidden;
  overflow: hidden;
  transition: max-height 0.5s ease-in-out, opacity 0.5s ease-in-out, visibility 0.5s ease-in-out;
  display: none;
}

li:not(.dt-mega-menu) .sub-nav {
  width: max-content;
  left: -35px !important;
}

.main-nav > li.ginasios-list{
    position: static;
}

.light-preset-color.masthead:not(#phantom):not(.sticky-off) .main-nav.level-arrows-on > li.has-children > a .menu-text::after,
.light-preset-color.masthead:not(#phantom):not(.sticky-on) .main-nav.level-arrows-on > li.has-children > a .menu-text::after{
  content: "\f0272";
  font-family: icomoon-the7-font !important;
  background: transparent !important;
  width: auto;
  height: auto;
  top: auto;
  right: -5px;
  font-size: 10px;
  margin-top: 0;
    -webkit-mask: unset;
    mask-repeat: unset;
    mask-position-x: unset;
    mask-position-y: unset;
    mask-size: unset;
    mask-image: unset;
    -webkit-mask-repeat: unset;
    -webkit-mask-position: unset;
    -webkit-mask-size: unset;
}

.light-preset-color.masthead:not(#phantom):not(.sticky-on) .main-nav.level-arrows-on > li.has-children > a .menu-text::after, 
.light-preset-color.masthead:not(#phantom):not(.sticky-on) .main-nav.level-arrows-on > li.has-children:not(.act) > a:hover .menu-text::after, 
.light-preset-color.masthead:not(#phantom):not(.sticky-on) .main-nav.level-arrows-on > li.has-children.act > a .menu-text::after {
  background: transparent !important;
}


.ginasios-list > .sub-nav.level-arrows-on {
  display: flex;
  /*opacity: 1 !important;
  visibility: visible !important;*/
  max-width: 1170px;
  width: 100%;
  left: 50% !important;
  transform: translate(-50%,0);
  padding: 0;
}

@media (min-width:2200px){
	.ginasios-list > .sub-nav.level-arrows-on {
		transform: translate(0,0);
		
		
	}
}

btn.btn-profile {
  font-size: 16px;
  font-weight: 600;
  font-family: 'Montserrat';
  text-transform: capitalize;
}


.main-nav .sub-nav > li:first-child > a{
    padding-top: 0;
}

.masthead .promocao-button a .menu-text {
  text-transform: uppercase;
  font-size: 14px;
  line-height: 1em !important;
}

.promocao-button a > span {
    padding: 14px 40px;
    border-radius: 100px;
    background: var(--Red, #F73F41) !important;
}

.light-preset-color.masthead:not(#phantom):not(.sticky-off) .main-nav > li.promocao-button a:hover .menu-text,
.light-preset-color.masthead:not(#phantom):not(.sticky-on) .main-nav > li.promocao-button a:hover .menu-text {
  color: #fff !important;
}



.search-block .menu-item-text {
  display: none;
}

.search-block a::before {
  content: url(/wp-content/uploads/2025/03/navBar-icon-search.svg);
	display: flex;
}

.search-block:hover i{
    color: #F73F41;
}


.main-nav > .search-block > a > i {
  font-size: 20px;
}

.menu-item.solinca-classic {
  width: 70%;
  padding: 20px 10px 40px 40px;
}

.menu-item.solinca-light {
  width: 30%;
  background: linear-gradient(180deg, rgba(165, 40, 105, 0.00) 0%, rgba(165, 40, 105, 0.15) 100%);
  padding: 20px 60px 40px 60px;
}

.menu-item.solinca-light > a {
  padding-top: 0 !important;
}

.menu-item.solinca-light .location-sub-nav.level-arrows-on {
  flex-direction: column;
}

.menu-item.menu-item-type-taxonomy.location-category > a .menu-text {
  color: var(--Black, #231F20);
  font-family: Montserrat;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: 170%;
  text-transform: uppercase;
}

.location-sub-nav.level-arrows-on {
  display: flex;
  gap: 30px;
  justify-content: space-between;
  margin-top: 30px;
}

.solinca-classic .location-sub-nav.level-arrows-on {
  display: flex;
  gap: 10px;
  justify-content: space-between;
  margin-top: 30px;
}

.solinca-classic .location-sub-nav.level-arrows-on > li{
    width: 33.3%;
}


.solinca-light .location-sub-nav.level-arrows-on > li:nth-of-type(1){
    order: 2;
}

.solinca-light .location-sub-nav.level-arrows-on > li:nth-of-type(2){
    order: 1;
}

.solinca-classic .location-sub-nav.level-arrows-on > li:nth-of-type(3){
    order: 3;
}

.menu-item.menu-item-type-post_type.ginasio-post > a .menu-text {
  color: var(--Black, #231F20);
  font-family: Montserrat;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 170%;
}

.menu-item.menu-item-type-post_type.ginasio-post > a:hover .menu-text, 
.menu-item.menu-item-type-taxonomy.location-category > a:hover .menu-text{
    color: #A52869;
    font-weight: 700;
}

.menu-item-object-category.depth-1 > a .menu-text img {
  width: auto;
  margin: 0;
}

.mini-search .search-icon {
  position: static;
  border: 1px solid white;
  width: auto;
  padding: 14px 28px;
  border-radius: 50px;
}

.mini-search .search-icon .search-text {
  color: #FFF;
  text-align: center;
  font-family: Montserrat;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  margin-right: 10px;
}

.mini-search {
  width: 100% !important;
  display: flex !important;
  justify-content: center;
	align-items: center
}

.searchform.mini-widget-searchform {
   	display: flex;
    width: 100%;
    text-align: center;
    justify-content: center;
    align-items: center;
    max-width: 1160px;
}


button.close-topbar {
    background: url(/wp-content/uploads/2025/02/mobileNav-icon-close.png);
    width: 40px;
    height: 40px;
    border: none;
    margin-left: 30px;
    background-repeat: no-repeat;
    background-size: contain;

}
.mini-search .search-icon {
  position: static;
  border: 1px solid white;
  width: auto;
  padding: 14px 28px;
  border-radius: 50px;
  display: inline-flex;
  margin-left: 40px;
}
.mini-search .search-icon .search-text {
  color: #FFF;
  text-align: center;
  font-family: Montserrat;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  margin-right: 10px;
}

.mini-search input.field {
  max-width: 950px;
  width: 100%;
  background: transparent !important;
  border-bottom: 1px solid white;
    border-bottom-color: white;
  opacity: 1;
  padding-left: 12px;
  border-color: white !important;
  opacity: 0.5;
}

.right-widgets.mini-widgets {
    display: flex !important;
    flex-wrap: nowrap;
    justify-content: space-between;
}

.top-bar-bg{
    background-color: transparent !important;
	    display: none;
}

.mini-search .search-icon:hover,
.masthead .promocao-button a:hover span{
  background: #A52869 !important;
  border-color: #A52869 !important;
  opacity: 1 !important;
}

.ginasio-pre-venda a,
.ginasio-em-breve a {
  display: inline-flex;
  gap: 5px;
}

.pre-sell-label {
  color: #FFF;
  font-family: Montserrat;
  font-size: 10px;
  font-style: normal;
  font-weight: 700;
  line-height: 160%;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  background: #F73F41;
  padding: 2px 8px;
  width: auto;
  display: flex;
  align-items: center;
}

.soon-label {
  color: #FFF;
  font-family: Montserrat;
  font-size: 10px;
  font-style: normal;
  font-weight: 700;
  line-height: 160%;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  background: #A52869;
  padding: 2px 8px;
  width: auto;
  display: flex;
  align-items: center;
}

.promocao-button span.menu-text {
    color: white !important;
}

/* --- Search Mobile Navigation --- */

#search-mobile button.e-search-submit {
    position: absolute;
    right: 3px;
    top: 3px;
}

#search-mobile .e-search-input,
#search-mobile .e-search-input::placeholder{
    color: #231F20 !important;
    opacity: 1 !important;
}

/*FIM NOVO HEADER*/


.masthead .branding a > img,
.masthead .mobile-branding a > img {
    width: auto;
    max-height: 80px;
}

.light-preset-color.masthead:not(#phantom):not(.sticky-on) .main-nav > li > a:hover span {
    color: #ff0046 !important;
}

.masthead .solinca-login a{
    border: 1px solid #fff;
    padding: 14px 30px;
    border-radius: 50px;
}


.masthead .solinca-login a:hover,
.masthead.sticky-on .solinca-login a:hover {
    border: 1px solid #ff0046;
}



@media screen and (max-width: 1280px) and (min-width: 1025px){
    
    .menu-item.menu-item-type-taxonomy.location-category > a .menu-text,
    .menu-item.menu-item-type-post_type.ginasio-post > a .menu-text,
    .main-nav > li > a .menu-text,
    .main-nav .sub-nav > li > a .menu-text{
      font-size: 13px;
    }
    
    .menu-item.solinca-classic {
      width: 70%;
      padding: 20px;
    }
    
    .masthead .promocao-button a .menu-text{
        font-size: 10px;
    }

    .masthead .solinca-login a,
    .masthead .promocao-button a{
        padding: 10px 25px;
    }
    
    .main-nav > .search-block > a > i {
      font-size: 15px;
    }
    
    .main-nav > li > a {
      margin: 18px 7px 18px 7px;
      padding: 2px;
    }
    
    .mini-search .search-icon .search-text,
    .profile-button .btn-profile {
      font-size: 13px;
    }
    
    .searchform.mini-widget-searchform {
      display: flex;
    }
    
    .soon-label,
    .pre-sell-label{
        font-size: 7px;
    }
    
    .ginasios-list > .sub-nav.level-arrows-on {
      display: flex;
     
      max-width: 1170px;
      width: calc(100% - 100px);
      left: 0 !important;
      transform: none;
      padding: 0;
      margin: 0 50px;
    }
    
    

}

li.menu-item.menu-item-type-taxonomy.menu-item-object-category.depth-1.solinca-classic {
    padding-top: 30px !important;
}

.mobile-header-scrollbar-wrap {
    max-width: 100% !important;
}


/* ------ Mobile Header ------ */

@media screen and (max-width: 1024px){
	.mobile-navigation {
    display: none;
  }
    
	.dt-close-mobile-menu-icon {
    display: none !important;
}

	.dt-mobile-header .mobile-header-scrollbar-wrap{
	 padding-top: 60px	!important
	}
.admin-bar .dt-mobile-header .mobile-header-scrollbar-wrap {
    padding-top: 30px;
}

.logo-mobile {
    display: grid;
    place-items: center;
    padding-bottom: 30px;
}

.logo-mobile img{
    width: 150px;
    height: 45px;
}

.dt-mobile-header {
    background-image: url(/wp-content/uploads/2025/01/mobileNav-BG-Top.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: top;
}

.mobile-main-nav > li > a {
    padding: 15px 0px;
}

/*
.mobile-main-nav > li.has-children > a {
    margin: 0 auto;
}
*/

.mobile-main-nav li > a {
    color: #000000;
    display: flex;
    align-items: center;
    justify-content: center;
}

/*
i.next-level-button {
    position: absolute !important;
    left: 30%;
}
*/

li:not(.dt-mega-menu) .sub-nav {
    left: 0px !important;
}

.mobile-main-nav .sub-nav {
    margin-left: 0px !important;
    background:#FFF;
    padding: 15px 0px !important;
}

.next-level-button:after {
    content: "\f0272" !important;
    color: #000;
    font-family: icomoon-the7-font !important;
    font-style: normal;
    transform: rotate(90deg);
}

.dt-mobile-header .mobile-header-scrollbar-wrap {
    padding: 0px;
}

.solinca-classic .location-sub-nav.level-arrows-on > li {
    width: 100% !important;
}

li.menu-item.menu-item-type-taxonomy.menu-item-object-category.depth-1.solinca-classic {
    display: flex !important;
    flex-direction: column !important;
    align-items: center;
    justify-content: center;
    text-align: center;
}

li.menu-item.menu-item-type-taxonomy.menu-item-object-category.depth-1.solinca-light {
    display: flex !important;
    flex-direction: column !important;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-top:30px;
}

ul.location-sub-nav.level-arrows-on {
    flex-direction: column;
}

.menu-item.menu-item-type-taxonomy.location-category > a .menu-text {
    border-bottom: 2px solid #D9D9D9;
}

.solinca-light .location-sub-nav.level-arrows-on > li {
    width: 100% !important;
}

svg#Layer_1 {
    display: none;
}

.mobile-main-nav li.has-children.open-sub > .next-level-button::after{
    color: #f73f41 !important;
}

.mobile-main-nav > li.has-children > a {
    max-width: fit-content;
}

.mobile-main-nav>li {
    display: flex;
    align-items: center;
    justify-content: center;
}

.mobile-main-nav li.act > .next-level-button:after {
    content: "\f0272" !important;
    color: #f73f41;
    font-family: icomoon-the7-font !important;
    font-style: normal;
    transform: rotate(270deg);
}

.open-sub > .act .menu-text{
    color: #f73f41 !important;
}

.area-privada-mobile span.menu-text{
    border-radius: 100px;
    color: #F73F41 !important;
    text-align: center;
    font-family: Montserrat;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
    border: 1px solid #F73F41;
    padding: 15px 30px;
}

.area-privada-mobile span.menu-text:hover{
    color: #FFF !important;
    background:#F73F41;
    border: 1px solid #F73F41;
}

.mobile-main-nav .sub-nav {
    margin-left: 0px !important;
    background: #FFF;
    padding: 15px 0px !important;
}

ul.sub-nav.level-arrows-on {
    padding: 0 !important;
}

li.has-children.ginasios-list.menu-item {
    flex-flow: wrap-reverse;
}

#open-menu{
    cursor:pointer;
}

/* --- Search Mobile Navigation --- */

#search-mobile button.e-search-submit {
    position: absolute;
    right: 3px;
    top: 3px;
}

#search-mobile .e-search-input,
#search-mobile .e-search-input::placeholder{
    color: #231F20 !important;
    opacity: 1 !important;
}

#search-open,
#search-close{
    cursor:pointer;
}

#search-container {
    display: none;
}


/* --- End Search Mobile Navigation --- */

}
@media screen and (max-width: 767px){

.mobile-navigation{
    display:none;
}

.dt-close-mobile-menu-icon {
    display: none;
}

}